<!DOCTYPE html>
<html>
  <head>
    <title>Complejo</title>
  </head>
  <body>
    <div>
      <label>Real 1:</label>
      <input id="real1" />
      <label>Imaginario 1:</label>
      <input id="imag1" />
    </div>
    <div>
      <label>Real 2:</label>
      <input id="real2" />
      <label>Imaginario 2:</label>
      <input id="imag2" />
    </div>
    <button onclick="onClick()">Sumar</button>
    <script>
      class Complejo {
        constructor(real, imag) {
          this.real = real
          this.imag = imag
        }

        modulo(){
          return Math.sqrt(this.real**2 + this.imag**2)
        }

        suma(complejo) {
          // Devolver otro complejo con la suma
          // ...
        }

        mostrar(){
          // ...
        }
      }

      function onClick() {
        let real =  document.getElementById('real').value
        let imag =  document.getElementById('imag').value
        complejo = new Complejo(real, imag)

        alert(complejo.modulo())
      }
    </script>
  </body>
</html>